All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::WCvMatToOpInput< TDatums > Class Template Reference

`#include <wCvMatToOpInput.hpp>`

Inherits op::Worker< TDatums >.

## Public Member Functions

| WCvMatToOpInput (const std::shared_ptr< CvMatToOpInput > &cvMatToOpInput)
virtual | ~WCvMatToOpInput ()
void | initializationOnThread ()
void | work (TDatums &tDatums)
Public Member Functions inherited from op::Worker< TDatums >
| Worker ()
virtual | ~Worker ()
bool | checkAndWork (TDatums &tDatums)
bool | isRunning () const
void | stop ()
virtual void | tryStop ()

## Additional Inherited Members

## Constructor & Destructor Documentation

template<typename TDatums >

op::WCvMatToOpInput< TDatums >::WCvMatToOpInput | ( | const std::shared_ptr< CvMatToOpInput > & | cvMatToOpInput | ) |

explicit

template<typename TDatums >

op::WCvMatToOpInput< TDatums >::~WCvMatToOpInput | ( |  | ) |

virtual

## Member Function Documentation

template<typename TDatums >

void op::WCvMatToOpInput< TDatums >::initializationOnThread | ( |  | ) |

virtual

Implements op::Worker< TDatums >.

template<typename TDatums >

void op::WCvMatToOpInput< TDatums >::work | ( | TDatums & | tDatums | ) |

virtual

Implements op::Worker< TDatums >.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/core/wCvMatToOpInput.hpp